//+------------------------------------------------------------------+
//|                                                      ###hilo.mq4 |
//|                                 Copyright  2011, XrustSolution. |
//|                                           mail: xrustx@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2011, XrustSolution."
#property link      "mail: xrustx@gmail.com"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Yellow
#property indicator_color2 Yellow
//+------------------------------------------------------------------+
extern int	CountedPeriod													=	240;
//+------------------------------------------------------------------+
//--- buffers
double hi[];
double lo[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
void init(){
	//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,hi);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,lo);
	//----
	if(CountedPeriod<Period()){CountedPeriod=Period();}
return;}
//+------------------------------------------------------------------+
void deinit(){return;}
//+------------------------------------------------------------------+
void start(){
   int i, x, y, counted = IndicatorCounted();
   if (counted > 0) counted--;
   int limit = Bars - counted;
   int per = CountedPeriod;
   string sy = Symbol();
   SetIndexShift(0,per/Period());
   SetIndexShift(1,per/Period());
	//----
   for(i=1;i<limit;i++){
   	hi[i]=iHigh(sy,per,iBarShift(sy,per,iTime(sy,Period(),i)));
   	lo[i]=iLow (sy,per,iBarShift(sy,per,iTime(sy,Period(),i)));
   } 
	//----
return;}
//+------------------------------------------------------------------+